#
# spec file for package wipe (Version 2.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         wipe
Copyright:    GPL
Group:        Utilities/File
Provides:     wipe 
Autoreqprov:  on
Version:      2.0.0
Release:      33
Summary:      Secure erasure of data
Source0:      %{name}-%{version}.tar.bz2
Source1:      %{name}-%{version}.tar.bz2.sig
Patch:        %{name}-%{version}-makefile.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
securely erase files from magnetic media

Authors:
--------
    Berke Durak <bedrettin@chez.com>

SuSE series: ap

%prep
%setup 
%patch 

%build
%{?suse_update_config:%{suse_update_config -f}}
autoconf
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr 
make				  

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README CHANGES TODO TESTING
%doc %{_mandir}/man1/wipe.1.gz
/usr/bin/wipe

%changelog -n wipe
* Wed Aug 08 2001 - adostal@suse.cz
- update to version 2.0.0
- fixed spec file and makefile
- add .sig file to sources
* Tue Dec 05 2000 - schwab@suse.de
- Add %%suse_update_config.
* Mon Oct 23 2000 - kukuk@suse.de
- Update to wipe 1.2.2
- Don't use kernel header files
* Tue Apr 04 2000 - ro@suse.de
- added patch from homepage to avoid mmap-errors
- cleaned patch a bit
* Thu Feb 24 2000 - freitag@suse.de
- moved manpage to /usr/share
* Sat Oct 23 1999 - freitag@suse.de
- update to version 1.0.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - kukuk@suse.de
- Remove old binary before we call make
* Fri Nov 27 1998 - bs@suse.de
- install man page in section 8.
* Thu Nov 19 1998 - @suse.de
- new packages version 0.02
